# FoundationClasses
TKMath
TColgp

# TColgp_SequenceNodeOfSequenceOfDir Class Reference

`#include <TColgp_SequenceNodeOfSequenceOfDir.hxx>`

Inheritance diagram for TColgp_SequenceNodeOfSequenceOfDir:

[legend]

## Public Member Functions

| TColgp_SequenceNodeOfSequenceOfDir (const gp_Dir &I, const TCollection_SeqNodePtr &n, const TCollection_SeqNodePtr &p)
gp_Dir & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Dir | myValue

## Constructor & Destructor Documentation

TColgp_SequenceNodeOfSequenceOfDir::TColgp_SequenceNodeOfSequenceOfDir | ( | const gp_Dir & | I,
|  | const TCollection_SeqNodePtr & | n,
|  | const TCollection_SeqNodePtr & | p
| ) |

## Member Function Documentation

Standard_EXPORT const TColgp_SequenceNodeOfSequenceOfDir::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_SeqNode.

gp_Dir& TColgp_SequenceNodeOfSequenceOfDir::Value | ( |  | ) | const

## Field Documentation

gp_Dir TColgp_SequenceNodeOfSequenceOfDir::myValue `[private]`

The documentation for this class was generated from the following file:

- TColgp_SequenceNodeOfSequenceOfDir.hxx